Bug 1096919 - DevAssistant needs proper launcher name and icon
Summary: DevAssistant needs proper launcher name and icon
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: devassistant
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Radej
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-12 16:52 UTC by Elad Alfassa
Modified: 2014-07-02 09:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-02 09:39:02 UTC


Attachments (Terms of Use)

Description Elad Alfassa 2014-05-12 16:52:04 UTC
Since we are going to ship DevAssistant by default in Fedora 21 Workstation, we really need it to have a better launcher name ("Developer Assistant"? "Developer Setup"?) and an icon.

DevAssistant is a name that doesn't mean much and doesn't convey what the app does, and an icon is needed because shipping apps that have no icons makes our product looks incomplete and unfinished.

Comment 1 Stephen Gallagher 2014-05-12 16:57:26 UTC
We also want to produce a similar icon and name for DevHelp. Perhaps giving it a public name of "Developer Documentation Browser" or something like that.

Comment 2 Tomas Radej 2014-05-15 09:28:20 UTC
Speaking of the name, I am afraid it is not going to change. Developer Assistant is a trademark of protecode [1], and DevAssistant has been agreed to be the best alternative, even from the legal point of view.

The issue of an icon, however, is where we are more than open to suggestions or submissions, and intend to change it as soon as we got hold of a viable artwork either from our sources, or the community.

[1] http://www.protecode.com/our-products/system-4/developer-assistant/

Comment 3 Elad Alfassa 2014-05-15 17:33:45 UTC
What about "Setup Developer Environment"? "Developer Environment Setup"? "Developer Setup"?

I'm not suggesting you change the name in the codebase, just change the Name variable of the desktop launcher.

Comment 4 Petr Hracek 2014-05-19 07:44:01 UTC
I suggest to write the name like:

"Setup environment by DevAssistant"
or
"DevAssistant for programmers"

But definitely the name should stay 'DevAssistant'.

Comment 5 Elad Alfassa 2014-05-22 14:13:28 UTC
I just realized all of these suggestions are not good enough, because they are too long to be displayed properly in the shell.

Let's keep it as DevAssistant, and just find it a proper icon. I'll contact the Fedora design team for that.
To make sure it is associated by new users (new to DevAssistant, that is), I suggest we'll create a "collection" for development related apps in the Shell (no action required on your part), and perhaps mention it in the Fedora 21 release notes / redesigned website, so people will know what it is.

Comment 6 Tomas Radej 2014-06-13 13:00:35 UTC
I am currently working with Máirín Duffy on the logo. 

However, I can not see the change of displayed name happening any time soon.

Comment 7 Fedora Update System 2014-06-23 16:16:20 UTC
devassistant-0.9.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/devassistant-0.9.1-1.fc20

Comment 8 Fedora Update System 2014-07-01 23:28:28 UTC
devassistant-0.9.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Tomas Radej 2014-07-02 09:39:02 UTC
Hi. The new version of DevAssistant landed in F20 with a new icon, so I am closing this bug as fixed. If you think that it needs a different description and/or come up with one that fits, feel free to reopen. Thanks for your suggestions.


Note You need to log in before you can comment on or make changes to this bug.